;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning <ceeditor@computoredge.com>
;
; Script Function:
;	Create a menu for quick launching program shortcuts and links by categories (folders).
; Date: January 14, 2013
; This version of QuickLinks demonstates the use of a function  FileLoop(A_LoopFileFullPath,A_LoopFileName)  to create the submenus

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

IfNotExist, C:\Users\%A_UserName%\QuickLinks\
    FileCreateDir, C:\Users\%A_UserName%\QuickLinks\

Loop, C:\Users\%A_UserName%\QuickLinks\*.*, 2 , 0  
{
   Menu, QuickLinks, Add, %A_LoopFileName%, MenuHandler

   MainMenu := A_LoopFileName
   FileLoop(A_LoopFileFullPath,A_LoopFileName)
}

 Menu, QuickLinks, Add ;Add a separator bar

 Menu, QuickLinks, Add, Edit QuickLinks, QuickLinksHandler
 Menu, QuickLinks, Add, Reload QuickLinks, ReloadHandler
 Menu, QuickLinks, Add, QuickLinks Help, HelpHandler

Return

MenuHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenu%\%A_ThisMenuItem%
return

QuickLinksHandler:
run, C:\Users\%A_UserName%\QuickLinks\
Return

FolderHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenuItem%
Return

ReloadHandler:
Reload
Return

HelpHandler:
Run, http://www.computoredge.com/AutoHotkey/AutoHotkey_Quicklinks_Menu_App.html
Return

#z::Menu, QuickLInks, Show
!,::Menu, QuickLInks, Show


FileLoop(FilePath,NameFile)
{
   CountLoop := 0
   Loop, %FilePath%\*.*, 1 , 0
   {
     if A_LoopFileAttrib contains H,R,S  ;Skip any file that is 
       continue				 ; H, R, or S (System).


	if A_LoopFileAttrib contains D
            FileLoop(A_LoopFileFullPath,A_LoopFileName)

;	MsgBox, %FilePath% %NameFile% %A_LoopFileName%
        Menu, %NameFile%, Add, %A_LoopFileName%, MenuHandler
        CountLoop := 1
   }
   If (CountLoop = 1)
    {
;      Msgbox, Index %a_index% Error Level %ErrorLevel%
      Menu, QuickLinks, Add, %NameFile%, :%NameFile%
    }
   Else
    {
;     Msgbox, Index %a_index% Error Level %ErrorLevel%
     Menu, QuickLinks, Add, %MainMenu%, FolderHandler
    }
}
