;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning <ceeditor@computoredge.com>
;
; Script Function:
;	Create a menu for quick launching program shortcuts and links by categories (folders).
; Date: January 14, 2013
; This version demonstrates the use of a GoSub routine to create the submenus.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

IfNotExist, C:\Users\%A_UserName%\QuickLinks\
    FileCreateDir, C:\Users\%A_UserName%\QuickLinks\

Loop, C:\Users\%A_UserName%\QuickLinks\*.*, 2 , 0  
{

   Gosub, FileLoop2
}

 Menu, QuickLinks, Add ; Add a separator bar

 Menu, QuickLinks, Add, Edit QuickLinks, QuickLinksHandler
 Menu, QuickLinks, Add, Reload QuickLinks, ReloadHandler
 Menu, QuickLinks, Add, QuickLinks Help, HelpHandler

Return

MenuHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenu%\%A_ThisMenuItem%
return

QuickLinksHandler:
run, C:\Users\%A_UserName%\QuickLinks\
Return

FolderHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenuItem%
Return

ReloadHandler:
Reload
Return

HelpHandler:
Run, http://www.computoredge.com/AutoHotkey/AutoHotkey_Quicklinks_Menu_App.html
Return

#z::Menu, QuickLInks, Show
!,::Menu, QuickLInks, Show


FileLoop2:
   Menu, QuickLinks, Add, %A_LoopFileName%, MenuHandler

   MainMenu := A_LoopFileName
   CountLoop := 0
   Loop, %A_LoopFileFullPath%\*.*, 1 , 0
   {
     if A_LoopFileAttrib contains H,R,S  ;Skip any file that is 
       continue				 ; H, R, or S (System).

     if A_LoopFileAttrib contains D
       GoSub, FileLoop3

        Menu, %MainMenu%, Add, %A_LoopFileName%, MenuHandler
        CountLoop := 1
   }
   If (CountLoop = 1)
    {
;      Msgbox, Index %a_index% Error Level %ErrorLevel%
      Menu, QuickLinks, Add, %MainMenu%, :%MainMenu%
    }
   Else
    {
;     Msgbox, Index %a_index% Error Level %ErrorLevel%
     Menu, QuickLinks, Add, %MainMenu%, FolderHandler
    }
Return

FileLoop3:
   Menu, %MainMenu%, Add, %A_LoopFileName%, MenuHandler
   MsgBox, %MainMenu% %A_LoopFileName%
   MainMenu2 := A_LoopFileName
   CountLoop2 := 0
   Loop, %A_LoopFileFullPath%\*.*, 1 , 0
   {
     if A_LoopFileAttrib contains H,R,S  ;Skip any file that is 
       continue				 ; H, R, or S (System).

;     if A_LoopFileAttrib contains D
;      GoSub, FileLoop3
        MsgBox, %A_LoopFileName% %MainMenu2%
        Menu, %MainMenu2%, Add, %A_LoopFileName%, MenuHandler
        CountLoop2 := 1
   }
   If (CountLoop2 = 1)
    {
      Msgbox, Top %MainMenu% Next %MainMenu2%
;      Menu, E-Books, Add, Test Folder, :Test Folder
      Menu, %MainMenu%, Add, %MainMenu2%, :%MainMenu2%
    }
   Else
    {
;     Msgbox, Index %a_index% Error Level %ErrorLevel%
     Menu, %MainMenu%, Add, %MainMenu2%, FolderHandler
    }
Return
