;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning <ceeditor@computoredge.com>
;
; Script Function:
;	Create a menu for quick launching program shortcuts and links by categories (foldersz).
; Date: January 14, 2013
; This version displays icons.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

IfNotExist, C:\Users\%A_UserName%\QuickLinks\
    FileCreateDir, C:\Users\%A_UserName%\QuickLinks\

Loop, C:\Users\%A_UserName%\QuickLinks\*.*, 2 , 0  
{
   Menu, QuickLinks, Add, %A_LoopFileName%, MenuHandler

   MainMenu := A_LoopFileName
   AddIcon("QuickLinks",MainMenu)

   CountLoop := 0
   Loop, %A_LoopFileFullPath%\*.*, 1 , 0
   {
     if A_LoopFileAttrib contains H,R,S  ;Skip any file that is 
       continue				 ; H, R, or S (System).
	NewName := A_LoopFileName
	StringReplace, NewName,NewName, .%A_LoopFileExt%
	If (A_LoopFileExt = "url") 
           {
             NewName = %NewName% (Web Site)
           }

        Menu, %MainMenu%, Add, %NewName%, MenuHandler

        AddIcon(MainMenu,NewName)


        CountLoop := 1
   }
   If (CountLoop = 1)
    {
;      Msgbox, Index %a_index% Error Level %ErrorLevel%
      Menu, QuickLinks, Add, %MainMenu%, :%MainMenu%
    }
   Else
    {
;     Msgbox, Index %a_index% Error Level %ErrorLevel%
     Menu, QuickLinks, Add, %MainMenu%, FolderHandler
    }
}

 Menu, QuickLinks, Add ;Add a separator bar

 Menu, QuickLinks, Add, Edit QuickLinks, QuickLinksHandler
 Menu, QuickLinks, Add, Reload QuickLinks, ReloadHandler
 Menu, QuickLinks, Add, QuickLinks Help, HelpHandler

Return

MenuHandler:
If A_ThisMenuItem contains (Web Site)
   {
     NewName := A_ThisMenuItem
     StringReplace, NewName,NewName,  %A_Space%(Web Site)
;	MsgBox, (%NewName%)
     run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenu%\%NewName%.url
   }
Else
   {
     run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenu%\%A_ThisMenuItem%
   }
return

QuickLinksHandler:
run, C:\Users\%A_UserName%\QuickLinks\
Return

FolderHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenuItem%
Return

ReloadHandler:
Reload
Return

HelpHandler:
Run, http://webserver.computoredge.com/online.mvc?issue=3103&article=vista&src=qcklnks
Return

#z::Menu, QuickLinks, Show
!,::Menu, QuickLinks, Show

AddIcon(menuitem,submenu)
  {
   IfInString, submenu, Tools, Menu, %menuitem%, Icon, %submenu%, %A_Windir%\system32\SHELL32.dll, 36,
   IfInString, submenu, Text, Menu, %menuitem%, Icon, %submenu%, %A_Windir%\system32\SHELL32.dll, 2,
   IfInString, submenu, Paint, Menu, %menuitem%, Icon, %submenu%, mspaint.exe
   IfInString, submenu, Notepad, Menu, %menuitem%, Icon, %submenu%, notepad.exe
   IfInString, submenu, Photos, Menu, %menuitem%, Icon, %submenu%, %A_Windir%\system32\SHELL32.dll, 140,
   IfInString, submenu, E-Books, Menu, %menuitem%, Icon, %submenu%, Books.ico
   IfInString, submenu, EPUB, Menu, %menuitem%, Icon, %submenu%, Books.ico
   IfInString, submenu, Graphics, Menu, %menuitem%, Icon, %submenu%, %A_Windir%\system32\SHELL32.dll, 142,
  }