;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning <ceeditor@computoredge.com>
;
; Script Function:
;	Create a menu for quick launching program shortcuts and links by categories (foldersz).
; Date: January 14, 2013
; This version opens the menu as the right-click System Tray icon menu. No icons.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

IfNotExist, C:\Users\%A_UserName%\QuickLinks\
    FileCreateDir, C:\Users\%A_UserName%\QuickLinks\

Loop, C:\Users\%A_UserName%\QuickLinks\*.*, 2 , 0  
{
   Menu, Tray, Add, %A_LoopFileName%, MenuHandler

   MainMenu := A_LoopFileName
   CountLoop := 0
   Loop, %A_LoopFileFullPath%\*.*, 1 , 0
   {
     if A_LoopFileAttrib contains H,R,S  ;Skip any file that is 
       continue				 ; H, R, or S (System).

        Menu, %MainMenu%, Add, %A_LoopFileName%, MenuHandler
        CountLoop := 1
   }
   If (CountLoop = 1)
    {
;      Msgbox, Index %a_index% Error Level %ErrorLevel%
      Menu, Tray, Add, %MainMenu%, :%MainMenu%
    }
   Else
    {
;     Msgbox, Index %a_index% Error Level %ErrorLevel%
     Menu, Tray, Add, %MainMenu%, FolderHandler
    }
}

 Menu, Tray, Add ;Add a separator bar

 Menu, Tray, Add, Edit QuickLinks, QuickLinksHandler
 Menu, Tray, Add, Reload QuickLinks, ReloadHandler
 Menu, Tray, Add, QuickLinks Help, HelpHandler
 Menu, Tray, NoStandard
 Menu, Tray, Standard
 Menu, Tray, Icon, %A_WinDir%\system32\SHELL32.dll,43
 Menu, Tray, Tip, Right-click for`nQuickLinks

Return

MenuHandler:
run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenu%\%A_ThisMenuItem%
return

QuickLinksHandler:
  run, C:\Users\%A_UserName%\QuickLinks\
Return

FolderHandler:
  run, C:\Users\%A_UserName%\QuickLinks\%A_ThisMenuItem%
Return

ReloadHandler:
  Reload
Return

HelpHandler:
  Run, http://www.computoredge.com/AutoHotkey/AutoHotkey_Quicklinks_Menu_App.html
Return

#z::Menu, Tray, Show
!,::Menu, Tray, Show
^RButton::Menu, Tray, Show